"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = require("styled-components");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n\n  * {\n    font-family: var(--family-primary);\n    font-size: var(--font-normal-size);\n    line-height: var(--font-normal-lineHeight);\n  }\n\n  html {\n    font-size: 0.875em;\n    line-height: 1.45;\n    color: var(--color-copy);\n  }\n\n  html, body {\n    min-height: 100vh;\n    background-color: var(--color-body);\n  }\n\n  body {\n    overflow-x: hidden;\n    -webkit-font-smoothing: antialiased;\n    -moz-osx-font-smoothing: grayscale;\n  }\n\n  @media screen and (min-width: 80em) {\n    html {\n      font-size: calc(1em + 0.25 * (100vw - 80em) / 40); /* 1 */\n      font-size: -webkit-calc(100% + 0.25 * (100vw - 8000%) / 40); /* 2 */\n      font-size: -ms-calc(1em + 0.25 * (100vw - 80em) / 40); /* 3 */\n    }\n  }\n\n  @media screen and (min-width: 120em) {\n    html {\n      font-size: 1.125em;\n    }\n  }\n\n  html, body,\n  h1, h2, h3, h4, h5, h6,\n  a, p, span,\n  em, small, strong,\n  sub, sup,\n  mark, del, ins, strike,\n  abbr, dfn,\n  blockquote, q, cite,\n  code, pre,\n  ol, ul, li, dl, dt, dd,\n  div, section, article,\n  main, aside, nav,\n  header, hgroup, footer,\n  img, figure, figcaption,\n  address, time,\n  audio, video,\n  canvas, iframe,\n  details, summary,\n  fieldset, form, label, legend,\n  table, caption,\n  tbody, tfoot, thead,\n  tr, th, td {\n      font-size: inherit;\n      margin: 0;\n      padding: 0;\n      border: 0;\n  }\n  article,\n  aside,\n  footer,\n  header,\n  nav,\n  section,\n  main {\n    display: block;\n  }\n  * {\n    box-sizing: border-box;\n  }\n  *:before,\n  *:after {\n    box-sizing: inherit;\n  }\n  table {\n    border-collapse: collapse;\n    border-spacing: 0;\n  }\n  img,\n  video {\n    max-width: 100%;\n  }\n  img {\n    border-style: none;\n  }\n  blockquote,\n  q {\n    quotes: none;\n  }\n  blockquote:after,\n  blockquote:before,\n  q:after,\n  q:before {\n    content: \"\";\n    content: none;\n  }\n  [hidden] {\n    display: none !important;\n  }\n  [disabled] {\n    cursor: not-allowed;\n  }\n  :focus:not(:focus-visible) {\n    outline: none;\n  }\n\n  h1, h2, h3, h4, h5, h6 {\n    margin-bottom: var(--gutter);\n  }\n\n  h1, h2, h3 {\n    color: var(--color-headings);\n  }\n\n  h4, h5, h6 {\n    color: var(--color-sub-headings);\n  }\n\n  h1 {\n\n    font-family: var(--family-secondary);\n    font-weight: var(--weight-bold);\n\n    margin-bottom: var(--gutter-medium);\n    \n    font-size: var(--font-xxlarge-size);\n    line-height: var(--font-xxlarge-lineHeight);\n    \n  }\n\n  h2 {\n    font-family: var(--family-secondary);\n    font-weight: var(--weight-bold);\n\n    margin-top: 0;\n    margin-bottom: var(--gutter);\n\n    font-size: var(--font-xlarge-size);\n    line-height: var(--font-xlarge-lineHeight);\n\n  }\n\n  h3 {\n    font-size: var(--font-large-size);\n    line-height: var(--font-large-lineHeight);\n  }\n\n  h4 {\n    font-size: var(--font-normal-size);\n    line-height: var(--font-normal-lineHeight);\n  }\n\n  h3, h4 {\n    font-family: var(--family-primary);\n    font-weight: var(--weight-regular);\n  }\n\n  h5, h6 {\n    font-family: var(--family-secondary);\n    font-weight: var(--weight-bold);\n    font-size: var(--font-small-size);\n    line-height: var(--font-small-lineHeight);\n  }\n\n  p {\n    color: var(--color-copy);\n    &:not(:last-child) {\n      margin-bottom: var(--gutter);\n    }\n  }\n\n  small {\n    font-size: var(--font-small-size);\n    line-height: var(--font-small-lineHeight);\n    color: var(--color-sub-copy);\n  }\n\n  ul, ol {\n    &:not(:last-child) {\n      margin-bottom: var(--gutter);\n    }\n  }\n\n  ul li {\n  }\n\n  ol {\n    counter-reset: my-awesome-counter;\n  }\n  ol li {\n    counter-increment: my-awesome-counter;\n    position: relative;\n    padding-left: var(--gutter);\n  }\n  ol li::before {\n    position: absolute;\n    left: 0;\n    content: counter(my-awesome-counter) \".\";\n    color: var(--color-normal);\n  }\n\n  a,\n  a:visited {\n\n    color: inherit;\n    color: var(--color-link);\n    text-decoration: none;\n    transition: var(--transition);\n\n    &:hover {\n      cursor: pointer;\n      color: var(--color-link-hover);\n      text-decoration: underline;\n    }\n\n  }\n\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n  :root {\n\n    --color-white-rgb:          255, 255, 255;\n    --color-light-rgb:          230, 231, 232;\n    --color-rgb:                133, 136, 143;\n    --color-dark-rgb:           34,40,53;\n    --color-darker-rgb:         10,16,30;\n    --color-black-rgb:          0,0,0;\n    \n    --color-white:              rgba(var(--color-white-rgb), 1);\n    --color-light:              rgba(var(--color-light-rgb), 1);\n    --color:                    rgba(var(--color-rgb), 1);\n    --color-dark:               rgba(var(--color-dark-rgb), 1);\n    --color-darker:             rgba(var(--color-darker-rgb), 1);\n    --color-black:              rgba(var(--color-black-rgb), 1);\n\n    --color-red-rgb:            237,108,99;\n    --color-orange-rgb:         246,139,57;\n    --color-green-rgb:          93,226,165;\n    --color-blue-rgb:           66,175,227;\n    \n    --color-red:                rgba(var(--color-red-rgb), 1);\n    --color-orange:             rgba(var(--color-orange-rgb), 1);\n    --color-green:              rgba(var(--color-green-rgb), 1);\n    --color-blue:               rgba(var(--color-blue-rgb), 1);\n\n    --color-wm-blue-rgb:        3,221,246;\n    --color-wm-purple-rgb:      183,105,247;\n    --color-wm-red-rgb:         255,102,113;\n    --color-wm-yellow-rgb:      255,199,131;\n    \n    --color-wm-blue:            rgba(var(--color-wm-blue-rgb), 1);\n    --color-wm-purple:          rgba(var(--color-wm-purple-rgb), 1);\n    --color-wm-red:             rgba(var(--color-wm-red-rgb), 1);\n    --color-wm-yellow:          rgba(var(--color-wm-yellow-rgb), 1);\n\n    --color-primary-rgb:        61,68,136;\n    --color-secondary-rgb:      24,34,59;\n\n    --color-primary:            rgba(var(--color-primary-rgb), 1);\n    --color-secondary:          rgba(var(--color-secondary-rgb), 1);\n    --color-accent:             var(--color-wm-red);\n\n    --color-facebook:           #3b5998;\n    --color-linkedin:           #0077B5;\n    --color-google:             #dd4b39;\n\n    --color-headings:           var(--color-darker);\n    --color-sub-headings:       var(--color-dark);\n    --color-copy:               var(--color-dark);\n    --color-sub-copy:           var(--color);\n\n    --color-link:               var(--color-wm-blue);\n\n    --family-primary:           \"Roboto\", Helvetica, Arial;\n    --family-secondary:         \"Gilroy\", Helvetica, Arial;\n\n    --font-xxlarge-size:        3.157rem;\n    --font-xxlarge-lineHeight:  3.5rem;\n    --font-xlarge-size:         2.369rem;\n    --font-xlarge-lineHeight:   2.7rem;\n    --font-large-size:          1.777rem;\n    --font-large-lineHeight:    2rem;\n    --font-medium-size:         1.333rem;\n    --font-medium-lineHeight:   1.7rem;\n    --font-normal-size:         1rem;\n    --font-normal-lineHeight:   1.4rem;\n    --font-small-size:          0.75rem;\n    --font-small-lineHeight:    0.9rem;\n\n    --weight-thin:              100;\n    --weight-light:             300;\n    --weight-regular:           400;\n    --weight-medium:            500;\n    --weight-semiBold:          600;\n    --weight-bold:              700;\n    --weight-heavy:             900;\n\n    --layer-1:                  10;\n    --layer-2:                  20;\n    --layer-3:                  30;\n    --layer-4:                  40;\n    --layer-5:                  50;\n    --layer-6:                  60;\n    --layer-7:                  70;\n    --layer-8:                  80;\n    --layer-9:                  90;\n    --layer-10:                 100;\n\n    --gutter:                   20px;\n    --gutter-small:             10px;\n    --gutter-medium:            40px;\n    --gutter-large:             80px;\n    --gutter-jumbo:             120px;\n\n    --radius-small:             5px;\n    --radius-medium:            10px;\n    --radius-large:             20px;\n    \n    --shadow:                   1px 1px 10px rgba(0,0,0, 0.25);\n    --shadow-text:              0px 0px 10px rgba(0,0,0, 0.85);\n    --shadow-text-light:        0px 0px 5px rgba(0,0,0, 0.25);\n    \n    --transition:               0.5s;\n    --transition-slow:          1s;\n    --transition-fast:          0.3s;\n\n    --btn-font:                 var(--family-secondary);\n    --btn-font-weight:          var(--weight-bold);\n    --btn-radius:               var(--radius-small);\n    \n    --btn-primary--color:   var(--color-secondary);\n    --btn-primary--colorH:  var(--color-accent);\n    --btn-primary--bg:      var(--color-accent);\n    --btn-primary--bgH:     var(--color-secondary);\n    --btn-primary--border:  var(--color-accent);\n    --btn-primary--borderH: var(--color-secondary);\n    \n    --btn-primary-danger--color:   var(--color-white);\n    --btn-primary-danger--colorH:  var(--color-red);\n    --btn-primary-danger--bg:      var(--color-red);\n    --btn-primary-danger--bgH:     var(--color-white);\n    --btn-primary-danger--border:  var(--color-red);\n    --btn-primary-danger--borderH: var(--color-red);\n\n    --btn-primary-warning--color:   var(--color-white);\n    --btn-primary-warning--colorH:  var(--color-orange);\n    --btn-primary-warning--bg:      var(--color-orange);\n    --btn-primary-warning--bgH:     var(--color-white);\n    --btn-primary-warning--border:  var(--color-orange);\n    --btn-primary-warning--borderH: var(--color-orange);\n\n    --btn-primary-success--color:   var(--color-white);\n    --btn-primary-success--colorH:  var(--color-green);\n    --btn-primary-success--bg:      var(--color-green);\n    --btn-primary-success--bgH:     var(--color-white);\n    --btn-primary-success--border:  var(--color-green);\n    --btn-primary-success--borderH: var(--color-green);\n\n\n\n    --btn-secondary--color:   var(--color-secondary);\n    --btn-secondary--colorH:  var(--color-secondary);\n    --btn-secondary--bg:      'transparent';\n    --btn-secondary--bgH:     'transparent';\n    --btn-secondary--border:  var(--color-accent);\n    --btn-secondary--borderH: var(--color-secondary);\n\n    --btn-secondary-danger--color:   var(--color-red);\n    --btn-secondary-danger--colorH:  var(--color-white);\n    --btn-secondary-danger--bg:      transparent;\n    --btn-secondary-danger--bgH:     var(--color-red);\n    --btn-secondary-danger--border:  var(--color-red);\n    --btn-secondary-danger--borderH: var(--color-white);\n    \n    --btn-secondary-warning--color:   var(--color-orange);\n    --btn-secondary-warning--colorH:  var(--color-white);\n    --btn-secondary-warning--bg:      transparent;\n    --btn-secondary-warning--bgH:     var(--color-orange);\n    --btn-secondary-warning--border:  var(--color-orange);\n    --btn-secondary-warning--borderH: var(--color-white);\n\n    --btn-secondary-success--color:   var(--color-green);\n    --btn-secondary-success--colorH:  var(--color-white);\n    --btn-secondary-success--bg:      transparent;\n    --btn-secondary-success--bgH:     var(--color-green);\n    --btn-secondary-success--border:  var(--color-green);\n    --btn-secondary-success--borderH: var(--color-white);\n    \n    \n\n    \n    \n    --btn-icon-default--color:   var(--color-secondary);\n    --btn-icon-default--colorH:  var(--color-accent);\n    --btn-icon-default--bg:      var(--color-accent);\n    --btn-icon-default--bgH:     var(--color-secondary);\n    --btn-icon-default--border:  var(--color-accent);\n    --btn-icon-default--borderH: var(--color-secondary);\n    \n    --btn-icon-secondary--color:   var(--color-secondary);\n    --btn-icon-secondary--colorH:  var(--color-secondary);\n    --btn-icon-secondary--bg:      var(--color-white);\n    --btn-icon-secondary--bgH:     var(--color-accent);\n    --btn-icon-secondary--border:  var(--color-accent);\n    --btn-icon-secondary--borderH: var(--color-secondary);\n    \n    --btn-icon-danger--color:   var(--color-white);\n    --btn-icon-danger--colorH:  var(--color-red);\n    --btn-icon-danger--bg:      var(--color-red);\n    --btn-icon-danger--bgH:     var(--color-white);\n    --btn-icon-danger--border:  var(--color-red);\n    --btn-icon-danger--borderH: var(--color-white);\n\n    --btn-icon-secondary-danger--color:   var(--color-red);\n    --btn-icon-secondary-danger--colorH:  var(--color-white);\n    --btn-icon-secondary-danger--bg:      var(--color-white);\n    --btn-icon-secondary-danger--bgH:     var(--color-red);\n    --btn-icon-secondary-danger--border:  var(--color-red);\n    --btn-icon-secondary-danger--borderH: var(--color-red);\n\n    --btn-icon-success--color:   var(--color-white);\n    --btn-icon-success--colorH:  var(--color-green);\n    --btn-icon-success--bg:      var(--color-green);\n    --btn-icon-success--bgH:     var(--color-white);\n    --btn-icon-success--border:  var(--color-green);\n    --btn-icon-success--borderH: var(--color-white);\n\n    --btn-icon-secondary-success--color:   var(--color-green);\n    --btn-icon-secondary-success--colorH:  var(--color-white);\n    --btn-icon-secondary-success--bg:      var(--color-white);\n    --btn-icon-secondary-success--bgH:     var(--color-green);\n    --btn-icon-secondary-success--border:  var(--color-green);\n    --btn-icon-secondary-success--borderH: var(--color-green);\n\n    --btn-icon-warning--color:   var(--color-white);\n    --btn-icon-warning--colorH:  var(--color-orange);\n    --btn-icon-warning--bg:      var(--color-orange);\n    --btn-icon-warning--bgH:     var(--color-white);\n    --btn-icon-warning--border:  var(--color-orange);\n    --btn-icon-warning--borderH: var(--color-white);\n\n    --btn-icon-secondary-warning--color:   var(--color-orange);\n    --btn-icon-secondary-warning--colorH:  var(--color-white);\n    --btn-icon-secondary-warning--bg:      var(--color-white);\n    --btn-icon-secondary-warning--bgH:     var(--color-orange);\n    --btn-icon-secondary-warning--border:  var(--color-orange);\n    --btn-icon-secondary-warning--borderH: var(--color-orange);\n\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Variables = (0, _styledComponents.createGlobalStyle)(_templateObject());
var Stylesheet = (0, _styledComponents.createGlobalStyle)(_templateObject2());

var Foundation = function Foundation(_ref) {
  var children = _ref.children;
  return _react["default"].createElement(_react["default"].Fragment, null, _react["default"].createElement(Variables, null), _react["default"].createElement(Stylesheet, null), children);
};

Foundation.propTypes = {
  children: _propTypes["default"].node.isRequired
};
var _default = Foundation;
exports["default"] = _default;